<% if controller.controller_name == 'jobs' && controller.action_name == 'new' && request.query_parameters['job_type'] == 'find_and_replace_job' %>
  <script>
    $( function() {
      
      var $form = $('#job_form');
      // Stash the old entry
      var oldFindAndReplaceJobForm = initFindAndReplaceJobForm;
      var initFindAndReplaceJobForm = function() {
          $("#job_form_messages", $form)
              .html(AS.renderTemplate("template_find_and_replace_warning"));

          // init findAndReplaceForm
          var $selectRecordType = $("#job_cam_record_type_");
          var $selectProperty = $("#job_cam_property_");

          $selectRecordType.attr('disabled', 'disabled');
          $selectProperty.attr('disabled', 'disabled');

          $("#job_ref_").attr("name", "job[base_record_uri]");

          $("#job_ref_").change(function() {
              var recordUri = $(this).val();
              if (recordUri.length) {
                  var id = /\d+$/.exec(recordUri)[0]
                  var archivalLevel = recordUri.includes("resource") ? "resources" : "archival_objects"
                  $.ajax({
                      url: AS.app_prefix("/" + archivalLevel + "/" + id + "/models_in_graph"),
                      success: function(typeList) {
                          var oldVal = $selectRecordType.val();
                          $selectRecordType.empty();
                          $selectRecordType.append($('<option>', {
                                  selected: true,
                                  disabled: true
                              })
                              .text(" -- select a record type --"));
                          $.each(typeList, function(index, valAndText) {
                              var opts = {
                                  value: valAndText[0]
                              };
                              if (oldVal === valAndText[0])
                                  opts.selected = true;

                              $selectRecordType.append($('<option>', opts)
                                  .text(valAndText[1]));
                          });
                          $selectRecordType.removeAttr('disabled');
                          if (oldVal != $selectRecordType.val())
                              $selectRecordType.triggerHandler('change');
                      }
                  });
              }
          });

          $selectRecordType.change(function() {
              var recordType = $(this).val();
              $.ajax({
                  url: AS.app_prefix("/schema/" + recordType + "/properties?type=string&editable=true"),
                  success: function(propertyList) {
                      $selectProperty.empty();

                      $.each(propertyList, function(index, valAndText) {
                          $selectProperty
                              .append($('<option>', {
                                      value: valAndText[0]
                                  })
                                  .text(valAndText[1]));
                      });

                      $selectProperty.removeAttr('disabled');
                  }
              });
          });
      };
  
    var type = $("#job_type").val();

    $(".linker:not(.initialised)").linker();

    // these were added because it was necessary to get translation
    $(".translation-placeholder").remove();

    if (type == "find_and_replace_job") {
        initFindAndReplaceJobForm();
    }
    hideImportEventsOption();
});

  </script>
<% end %>

<% if controller.controller_name == 'enumerations' && controller.action_name == 'read_only' %>
  <%= stylesheet_link_tag "#{@base_url}/assets/lower_level_find_replace_theme.css", media: :all %>
  <script>
    $(function() {

  // this gets the location information from the solr backend.
  // borrowed from the embedded_search js
  var init_enumValueSearch = function() {
    var $this = $(this);
    if ($(this).data("initialised")) return;

    $this.data("initialised", true);

    var resultsFormatter = function(json) {
     console.log(json);
      return ;
    }

    $.getJSON($this.data('url'), function(json) {
      var output;
      var url = $this.data('url');
      itemCount = json["search_data"]["total_hits"];
      if ( itemCount == 1 ) {
        output = "1 related item.";
       } else if (itemCount > 0 ) {
        output = itemCount + " related items.";
      } else {
        $this.closest('tr').find('.btn-warning').attr('disabled', false)
        output = "Not used.";
      }
      $this.html("<a href='" + url + "'>" + output + "</a>");
    });

  };

  $(".enum-value-search").each(init_enumValueSearch);

  var handleEnumNameChange = function(event) {
    document.location.search = "?id="+$(this).val()
  };

  $("#enum_selector").change(handleEnumNameChange);

    });
  </script>
<% end %>
